| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
auibook.h File Reference

## Classes

class | wxAuiNotebook
| wxAuiNotebook is part of the wxAUI class framework, which represents a notebook control, managing multiple windows with associated tabs. More...
class | wxAuiNotebookPage
| A simple class which holds information about the notebook's pages and their state. More...
class | wxAuiTabContainerButton
| A simple class which holds information about wxAuiNotebook tab buttons and their state. More...
class | wxAuiTabContainer
| wxAuiTabContainer is a class which contains information about each tab. More...
class | wxAuiTabArt
| Tab art provider defines all the drawing functions used by wxAuiNotebook. More...
class | wxAuiNotebookEvent
| This class is used by the events generated by wxAuiNotebook. More...
class | wxAuiDefaultTabArt
| Default art provider for wxAuiNotebook. More...
class | wxAuiSimpleTabArt
| Another standard tab art provider for wxAuiNotebook. More...

## Enumerations

enum

wxAuiNotebookOption {
wxAUI_NB_TOP = 1 << 0,
wxAUI_NB_LEFT = 1 << 1,
wxAUI_NB_RIGHT = 1 << 2,
wxAUI_NB_BOTTOM = 1 << 3,
wxAUI_NB_TAB_SPLIT = 1 << 4,
wxAUI_NB_TAB_MOVE = 1 << 5,
wxAUI_NB_TAB_EXTERNAL_MOVE = 1 << 6,
wxAUI_NB_TAB_FIXED_WIDTH = 1 << 7,
wxAUI_NB_SCROLL_BUTTONS = 1 << 8,
wxAUI_NB_WINDOWLIST_BUTTON = 1 << 9,
wxAUI_NB_CLOSE_BUTTON = 1 << 10,
wxAUI_NB_CLOSE_ON_ACTIVE_TAB = 1 << 11,
wxAUI_NB_CLOSE_ON_ALL_TABS = 1 << 12,
wxAUI_NB_MIDDLE_CLICK_CLOSE = 1 << 13,
wxAUI_NB_DEFAULT_STYLE
}

## Variables

wxEventType | wxEVT_AUINOTEBOOK_PAGE_CLOSE
wxEventType | wxEVT_AUINOTEBOOK_PAGE_CLOSED
wxEventType | wxEVT_AUINOTEBOOK_PAGE_CHANGED
wxEventType | wxEVT_AUINOTEBOOK_PAGE_CHANGING
wxEventType | wxEVT_AUINOTEBOOK_BUTTON
wxEventType | wxEVT_AUINOTEBOOK_BEGIN_DRAG
wxEventType | wxEVT_AUINOTEBOOK_END_DRAG
wxEventType | wxEVT_AUINOTEBOOK_DRAG_MOTION
wxEventType | wxEVT_AUINOTEBOOK_ALLOW_DND
wxEventType | wxEVT_AUINOTEBOOK_DRAG_DONE
wxEventType | wxEVT_AUINOTEBOOK_TAB_MIDDLE_DOWN
wxEventType | wxEVT_AUINOTEBOOK_TAB_MIDDLE_UP
wxEventType | wxEVT_AUINOTEBOOK_TAB_RIGHT_DOWN
wxEventType | wxEVT_AUINOTEBOOK_TAB_RIGHT_UP
wxEventType | wxEVT_AUINOTEBOOK_BG_DCLICK

## Enumeration Type Documentation

enum wxAuiNotebookOption

Enumerator
wxAUI_NB_TOP |
wxAUI_NB_LEFT |
wxAUI_NB_RIGHT |
wxAUI_NB_BOTTOM |
wxAUI_NB_TAB_SPLIT |
wxAUI_NB_TAB_MOVE |
wxAUI_NB_TAB_EXTERNAL_MOVE |
wxAUI_NB_TAB_FIXED_WIDTH |
wxAUI_NB_SCROLL_BUTTONS |
wxAUI_NB_WINDOWLIST_BUTTON |
wxAUI_NB_CLOSE_BUTTON |
wxAUI_NB_CLOSE_ON_ACTIVE_TAB |
wxAUI_NB_CLOSE_ON_ALL_TABS |
wxAUI_NB_MIDDLE_CLICK_CLOSE |
wxAUI_NB_DEFAULT_STYLE |

## Variable Documentation

wxEventType wxEVT_AUINOTEBOOK_ALLOW_DND

wxEventType wxEVT_AUINOTEBOOK_BEGIN_DRAG

wxEventType wxEVT_AUINOTEBOOK_BG_DCLICK

wxEventType wxEVT_AUINOTEBOOK_BUTTON

wxEventType wxEVT_AUINOTEBOOK_DRAG_DONE

wxEventType wxEVT_AUINOTEBOOK_DRAG_MOTION

wxEventType wxEVT_AUINOTEBOOK_END_DRAG

wxEventType wxEVT_AUINOTEBOOK_PAGE_CHANGED

wxEventType wxEVT_AUINOTEBOOK_PAGE_CHANGING

wxEventType wxEVT_AUINOTEBOOK_PAGE_CLOSE

wxEventType wxEVT_AUINOTEBOOK_PAGE_CLOSED

wxEventType wxEVT_AUINOTEBOOK_TAB_MIDDLE_DOWN

wxEventType wxEVT_AUINOTEBOOK_TAB_MIDDLE_UP

wxEventType wxEVT_AUINOTEBOOK_TAB_RIGHT_DOWN

wxEventType wxEVT_AUINOTEBOOK_TAB_RIGHT_UP